package com.ruoyi.dashboard.domain.revenueStat;

import java.math.BigDecimal;
import java.util.Map;

import com.ruoyi.common.utils.MathUtils;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class RevenueStatVO {

    @ApiModelProperty("订单用户数量")
    private Integer orderUserCount;
    @ApiModelProperty("订单实收金额")
    private BigDecimal orderActualAmount;
    @ApiModelProperty("订单总数量")
    private Integer orderCount;
    @ApiModelProperty("订单状态数量")
    private Map<String, Integer> orderStatusMap;

    @ApiModelProperty("分成总金额")
    private BigDecimal bonusAmount;
    @ApiModelProperty("分成退款金额")
    private BigDecimal bonusRefundAmount;
    @ApiModelProperty("分成数量")
    private Integer bonusCount;
    @ApiModelProperty("分成实收金额")
    public BigDecimal getBonusActualAmount() {
        return MathUtils.subtractDecimal(bonusAmount, bonusRefundAmount);
    }
    

}
